## org.eclipse.emf.validation.service
Interface INotificationGenerator

    public interface INotificationGenerator

Interface implemented by clients who wish to define a notification generator.

Notification generators are contributed through the `eventTypes` Eclipse extension point.

Since:
  1.1
See Also:
  `EventTypeService.getNotificationGenerator(String)`, `EventTypeService.getNotificationGenerators()`

Method Summary
`Collection<Notification>` `generateNotifications(Collection<? extends Notification> notifications)` Generates and returns custom notifications from a list of notifications that are eligible for validation.

Method Detail

### generateNotifications

    Collection<Notification> generateNotifications(Collection<? extends Notification> notifications)

  Generates and returns custom notifications from a list of notifications that are eligible for validation.

  Parameters:
    `notifications` - that are eligible for validation
  Returns:
    collection of newly generated notifications

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.